SELECT 
  agency_name, agency_id
FROM 
  agency
WHERE 
  last_updated < (CURRENT_DATE - interval '6 months')
  OR contact_email = 'unknown' 
  OR contact_email = 'none'
UNION    
SELECT DISTINCT
  a.agency_name, a.agency_id
FROM 
  program AS p, agency AS a
WHERE
   p.last_updated < (CURRENT_DATE - interval '8 months')
   AND a.agency_id=p.agency_id
ORDER BY agency_name;  