BEGIN;

DROP TABLE IF EXISTS meta_data_version;
DROP TABLE IF EXISTS meta_schema_version;

CREATE TABLE version_log (
	version INTEGER PRIMARY KEY,
	change_date DATE NOT NULL DEFAULT now(),
	note TEXT NOT NULL UNIQUE
);

COMMENT ON TABLE version_log IS 'Tracks schema and other metadata changes for MVHub app';

INSERT INTO version_log ( version,note ) 
	VALUES (1,'initial creation of the version log table');
         
COMMIT;
