BEGIN;
INSERT INTO version_log ( version,note ) 
	VALUES (7,'Alters tables agency and program to accomodate data from the tables to be removed');
	
ALTER TABLE agency 
ADD date_created date 
DEFAULT CURRENT_TIMESTAMP NOT NULL;

UPDATE agency a 
SET date_created = dac.date_created 
FROM date_agency_created dac
WHERE a.agency_id = dac.agency_id;

ALTER TABLE  program
ADD date_created date
DEFAULT CURRENT_TIMESTAMP NOT NULL;

UPDATE program p
SET date_created = dpc.date_created
FROM date_program_created dpc
WHERE p.program_id = dpc.program_id;
	
DROP TABLE date_agency_created, date_program_created;
	
COMMIT;
