#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 3 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_do_or_die() } $test_message;

###
$test_message = 'lives when system executes command successfully';
###

lives_ok { MVHub::Utils::Setup::_do_or_die('/bin/true') } $test_message;

###
$test_message = 'dies when system fails on command';
###
dies_ok { MVHub::Utils::Setup::_do_or_die('/bin/false') } $test_message;
