#!/usr/bin/perl

use strict;
use warnings;

use English '-no_match_vars';

use Test::More tests => 2 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_make_empty_config_file_named() }
$test_message;

###
$test_message = 'Creates file when passed in filename';
###
my $filename = "/tmp/_make_empty_config_file_named_$PID.txt";
MVHub::Utils::Setup::_make_empty_config_file_named($filename);

ok( ( -e $filename ), $test_message );

unlink $filename;
