#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 1 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

BEGIN {

    package MVHub::Utils::Setup;

    use subs 'system';

    package main;

    no warnings;
    *MVHub::Utils::Setup::system = sub {
        return 0;
    };
    use warnings;
}

use MVHub::Utils::Setup;
my $test_message;
###
$test_message = 'subroutine lives when called';
###
SKIP: {
    skip( 'Cannot override system anymore. Need to find another way', 1 );
    lives_ok { MVHub::Utils::Setup::get_production_data() } $test_message;
}
