#!/usr/bin/perl

use strict;
use warnings;
use Test::More tests => 4;
use MVHub::Utils;

eval { MVHub::Utils::mm_dd_yyyy_to_yyyy_mm_dd('asdf'); };
ok( $@, 'died on bad date' );

is( MVHub::Utils::mm_dd_yyyy_to_yyyy_mm_dd(undef), undef,
    'date not defined' );
is( MVHub::Utils::mm_dd_yyyy_to_yyyy_mm_dd('12-31-2003'),
    '2003-12-31', 'date test 3' );
is( MVHub::Utils::mm_dd_yyyy_to_yyyy_mm_dd('1-9-2003'),
    '2003-1-9', 'date test 4' );
