#!/usr/bin/perl

# Tests for Local::Utils;

use strict;
use warnings;
use Test::More tests => 4;
use MVHub::Utils;

eval { MVHub::Utils::yyyy_mm_dd_to_mm_dd_yyyy('asdf'); };
ok( $@, 'died on bad date' );

is( MVHub::Utils::yyyy_mm_dd_to_mm_dd_yyyy(undef), undef,
    'date not defined' );

is( MVHub::Utils::yyyy_mm_dd_to_mm_dd_yyyy('2003-12-31'),
    '12-31-2003', 'date test 1' );
is( MVHub::Utils::yyyy_mm_dd_to_mm_dd_yyyy('2003-1-9'),
    '1-9-2003', 'date test 2' );
