#!/usr/bin/perl 

use warnings;
use strict;

use MVHub::Utils::ConfigSimple qw/create_config_from/;
use Test::More tests => 1;

my $cfg = MVHub::Utils::ConfigSimple::create_config_from(
    $ENV{MV_TEST_CONFIG_FILE} );

my $test_db = $cfg->param('DATABASE.database_name');

unlink $test_db;

is( ( -r $test_db ), undef, 'unlinked temp test database' );

