use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name       => 'MVHub',
    license           => 'Affero GPL v3',
    dist_author       => 'Community Software Lab <info@thecsl.org>',
    dist_version_from => 'lib/MVHub.pm',

    # see man Module::Build::Authoring

    build_requires => {
    },
    reccomends => {
    },
    requires_ => {
        'DBIx::XHTML_Table'                        => '> 0',
        'HTML::Strip'                              => '> 0',
        'Set::Array'                               => '> 0',
        'SQL::Library'                             => '> 0',
	'Test::WWW:Mechanize'			   => '> 0',
        'Text::xSV'                                => '> 0',
        'WWW::Mechanize'                           => '> 0',

    },

    add_to_cleanup     => ['MVHub-*'],
    create_makefile_pl => 'traditional',
);

$builder->create_build_script();
