#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 2 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::MockObject;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_get_site_specific_values() } $test_message;

###
$test_message = 'returns hash containing values when passed in a site code';
###
my %test_hash = MVHub::Utils::Setup::_get_site_specific_values('nsp');
ok( scalar %test_hash, $test_message );
