#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 2 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_set_db_ENV_vars() } $test_message;

###
$test_message = 'lives when passed valid config file';
###
my $test_config = new Config::Simple( $ENV{MV_TEST_CONFIG_FILE} );
lives_ok { MVHub::Utils::Setup::_set_db_ENV_vars($test_config) }
$test_message;

