#!/usr/bin/perl -w

use strict;
use Test::More tests => 4;
use MVHub::Utils;

is( MVHub::Utils::assert( 1, 'an assertion message' ),
    undef, "assert doesn't die with true assertion" );
is( MVHub::Utils::assert(1), undef,
    "assert doesn't die with true assertion (no message)" );

eval { MVHub::Utils::assert(0); };
like( $@, qr(Assertion failed), "Assert dies with false assertion" );

eval { MVHub::Utils::assert( 0, "an assertion message" ); };
like(
    $@,
    qr(Assertion failed),
    "Assert dies with false assertion (with message)"
);
